Supporto per le API Java standard

Il dispositivo BlackBerry® e BlackBerry® Java® Development Environment supportano lo standard MIDP Java® ME che fornisce il nucleo di API Java da poter utilizzare per sviluppare applicazioni del dispositivo wireless. Il dispositivo BlackBerry e BlackBerry® Java® Development Environment supportano anche le JSR seguenti:

  • JSR 30: Connected Limited Device Configuration versione 1.0

    (supportato sui dispositivi dotati di BlackBerry® Device Software versione 4.0 o precedente)

  • JSR 37: Mobile Information Device Profile versione 1.0

    (supportato sui dispositivi dotati di BlackBerry Device Software versione 4.0 o precedente)

  • JSR 75: Portable Optional Packages per la piattaforma J2ME (PDAP) con supporto esclusivo per le API PIM e API FileConnection per Java ME (supportate sui dispositivi dotati di BlackBerry Device Software versione 4.2 o successiva)
  • JSR 82: API Java per Bluetooth®
  • JSR 118: Mobile Information Device Profile versione 2.0
  • JSR 120: Wireless Messaging API (WMA) versione 1.1
  • JSR 135: Mobile Media APIs (MM) versione 1.1
  • JSR 139: Connected Limited Device Configuration versione 1.1
  • JSR 172: J2ME Web Services
  • JSR 177: Security and Trust Services API per J2ME (SATSA)
  • JSR 179: Location API per Java ME
  • JSR 185: Java Technology for the Wireless Industry (JTWI)
  • JSR 205: Wireless Messaging API 2.0
  • JSR 211: Content Handler API
  • JSR 226: Scalable 2D Vector Graphics API per Java ME
  • JSR 238: Mobile Internationalization API

Indice analitico


Le informazioni sono state utili? Inviateci i vostri commenti.